Subject: Re: bug#53783: 29.0.50; eshell/sudo and eshell/su always use localhost as host
From: Michael Albinus <[email-masked]>
To: Russell Sim <[email-masked]>
Cc: [email-masked]
Date: Sun, 06 Feb 2022 09:47:01 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 29.1

Russell Sim <[email-masked]> writes:

> Hey,

Hi Russell,

> When using eshell if I call `sudo pwd` it will open a different host to if i
> call `cd /sudo::/ && pwd` in the first case it will visit "/sudo:root@localhost:" and in the
> other case it will visit my system "/sudo:root@mowgli:"
>
> I would like to have them both visit the host's actual name "mowgli" so
> that i can reduce the number of open sessions and also take advantage of
> being able to store sudo passwords.
>
> Would it be reasonable for eshell/sudo and eshell/su to instead either
> use tramp-default-host or tramp-system-name which ever is more
> appropriate?

I've fixed it this way, using tramp-default-host. Pushed to master.

> Many thanks,
> Russell

Best regards, Michael.